package com.ims.eval.dao;

import com.ims.eval.config.permission.DataPermission;
import com.ims.eval.entity.DeptResponsibility;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.entity.dto.response.DeptResponsibilityResDTO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 部门目标责任表 Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@DataPermission
public interface DeptResponsibilityMapper extends BaseMapper<DeptResponsibility> {

	@DataPermission(isPermission = false)
	DeptResponsibilityResDTO selectById(@Param("id")String id);

}
