package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.EvaluationDeptBusinessAssessment;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author hlf
 * @date 2023/5/6 17:11
 * 文件说明：
 */
public interface EvaluationDeptBusinessAssessmentMapper extends BaseMapper<EvaluationDeptBusinessAssessment> {

	IPage<EvaluationDeptBusinessAssessment> selectListPage(Page<EvaluationDeptBusinessAssessment> page,
														   @Param("deptId") String deptId,
														   @Param("responsibilityCode") String responsibilityCode,
														   @Param("des") String des,
														   @Param("appraisalYear") String appraisalYear,
														   @Param("stage") String stage);

    List<EvaluationDeptBusinessAssessment> selectEvaluationDeptBusinessAssessmentByYear(String year);
}
