package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.EvaluationDeptBusinessPlan;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author hlf
 * @date 2023/4/27 10:34
 * 文件说明：
 */
public interface EvaluationDeptBusinessPlanMapper extends BaseMapper<EvaluationDeptBusinessPlan> {

	IPage<EvaluationDeptBusinessPlan> selectListPage(Page<EvaluationDeptBusinessPlan> page,
													 @Param("deptId") String deptId,
													 @Param("responsibilityCode") String responsibilityCode,
													 @Param("des") String des,
													 @Param("appraisalYear") String appraisalYear,
													 @Param("stage") String stage);

	List<EvaluationDeptBusinessPlan> selectEvaluationDeptBusinessPlanByYear(String year);
}
