package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.EvaluationDeptRating;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author hlf
 * @date 2023/4/28 16:18
 * 文件说明：
 */
public interface EvaluationDeptRatingMapper extends BaseMapper<EvaluationDeptRating> {

	IPage<EvaluationDeptRating> selectListPage(Page<EvaluationDeptRating> page, @Param("deptId") String deptId, @Param("deptName") String deptName, @Param("annual") String annual);

	List<EvaluationDeptRating> list(@Param("deptId") String deptId, @Param("deptName") String deptName, @Param("annual") String annual);
}
