package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.entity.EvaluationScoreCount;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考评得分统计 Mapper 接口
 * </p>
 *
 * @author xugp
 * @since 2023-03-20
 */
public interface EvaluationScoreCountMapper extends BaseMapper<EvaluationScoreCount> {


	List<EvaluationScoreCount> selelctListByEvaluationRuleId(@Param("organizationEvaluationId") String organizationEvaluationId,
															 @Param("organizationEvaluationRuleId") String organizationEvaluationRuleId,
															 @Param("binStage") String binStage);


	List<Map<String, Object>> selectEvaluationList(String binSection, String binStage, String type, String condition, String year, String month);


	List<EvaluationScoreCount> selectEvaluationScoreCountList(@Param("organizationEvaluationId")String organizationEvaluationId,
															  @Param("organizationEvaluationRuleId")String organizationEvaluationRuleId,
															  @Param("indicatorIds")List<String> indicatorIds,
															  @Param("stageCode") List<String> stageCode,
															  @Param("binSection")  String binSection);


	}
