package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author hlf
 * @date 2023/8/31 15:57
 * 文件说明：绩效结果考核申报完成情况
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DeptAssessmentDeclarationComplete extends Model {

	private static final long serialVersionUID = 1L;

	//主键
	private String id;

	//考核申报主键
	private String assessmentDeclarationId;

	//序号
	private Integer serialNumber;

	//工作内容
	private String jobContent;

	//完成情况
	private String completionStatus;

	//相关处室
	private String relatedOffice;

	//经办人主键
	private String handlePeopleId;

	//经办人名称
	private String handlePeopleName;

}
