package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-09-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrganizationEvaluationCommonInfo extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 考评id
     */
    private String organizationEvaluationId;

    /**
     * 指标ID
     */
    private String indicatorId;

    /**
     * 指标编码
     */
    private String indicatorDictionaryId;

    /**
     * 选项编码
     */
    private String optionCode;

    /**
     * 能否量化
     */
    private Boolean isQuantified;

    /**
     * 量化值
     */
    private double quantifiedValue;

    /**
     * 非量化值
     */
    private String nonQuantifiedValue;

    /**
     * 子指标code
     */
    private String childCode;

    /**
     * 指标部门id
     */
    private String deptId;

	/**
	 * 指标部门name
	 */
	private String deptName;

    /**
     * 组织id
     */
    private String organizationId;


	/**
	 * 标记
	 */
	private Integer indx;


}
