package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrganizationYearRating extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

	/**
	 * 编码
	 */
	private String yearRatingCode;

    /**
     * 年
     */
    private String year;

    /**
     * 审批状态
     */
    private String stage;

    /**
     * 描述
     */
    private String des;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 备注
     */
    private String remark;

    /**
     * 流程实例ID
     */
    private String instId;

    /**
     * 创建者名称
     */
    private String createName;

    /**
     * 创建人组织id
     */
    private String createOrgId;


}
