package com.ims.eval.entity.dto.response;


import io.swagger.annotations.ApiModel;
import lombok.Data;


@Data
@ApiModel(value = "目标责任书明细响应类", description = "目标责任书明细响应类")
public class ResponsibilityIndicatorInfoResDTO {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	private String id;

	/**
	 * 责任书id
	 */
	private String deptResponsibilityId;

	/**
	 * 指标ID
	 */
	private String indicatorId;

	/**
	 * 能否量化
	 */
	private Boolean isQuantified;

	/**
	 * 子指标code
	 */
	private String childCode;

	/**
	 * 业务阶段
	 */
	private String binStage;

	/**
	 * 业务阶段
	 */
	private String stageName;


	/**
	 * 业务版块
	 */
	private String binSection;


	/**
	 * 业务板块
	 */
	private String sectionName;

	/**
	 * 组织名
	 */
	private String organizationName;

	/**
	 * 组织名(简称)
	 */
	private String  organizationShortName;

	/**
	 * 组织编码
	 */
	private String  organizationId;


	/**
	 * 组织规则id
	 */
	private String organizationEvaluationRuleId;

	/**
	 * 责任部门
	 */
	private String deptName;


	/**
	 * 指标类别
	 */
	private String typeName;

	/**
	 * 指标名
	 */
	private String indicatorName;

	/**
	 * 指标子名
	 */
	private String childName;

	/**
	 * 指标项
	 */
	private String optionName;

	/**
	 * 指标项Code
	 */
	private String optionCode;

	/**
	 * 量化值
	 */
	private double quantifiedValue;

	/**
	 * 非量化值
	 */
	private String nonQuantifiedValue;

	/**
	 * 指标单位
	 */
	private String unit;


	/**
	 * 状态(-1:未开始；0:待确认；1:已确认)
	 */
	private String state;

	/**
	 * 修改标记
	 */
	private Boolean updateMark = true;

	/**
	 * 数据状态
	 */
	private String dataState;


}
