package com.ims.eval.entity.flow;

import com.alibaba.fastjson.JSONArray;
import lombok.Data;

@Data
public class FlowResult {
	private static final long serialVersionUID = 6131673218827464899L;

	/**
	 * 本次调用是否成功
	 */
	private Boolean isOk;

	/**
	 * 操作提示信息
	 */
	private String msg;


	/**
	 * 状态码
	 */
	private String code;

	/**
	 * date
	 */
	private String data;

	private JSONArray rows;

	private Integer total;


}
