package com.ims.eval.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.DeptAssessmentDeclaration;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author hlf
 * @date 2023/5/29 15:01
 * 文件说明：
 */
public interface IDeptAssessmentDeclarationService extends IService<DeptAssessmentDeclaration> {

	IPage<DeptAssessmentDeclaration> listPage(Integer pageNum, Integer pageSize, String deptId, String orderNumber, String deptName, Integer annual, Integer declarationMonth,HttpServletRequest request);

	boolean save(DeptAssessmentDeclaration deptAssessmentDeclaration, HttpServletRequest request);

	boolean removeByIds(List<String> ids);

	boolean editState(String id, String state, String instId, String destination);

	Object processInformation(String instId, HttpServletRequest request);
}
