package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.EvaluationNotice;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author hlf
 * @date 2023/5/17 14:38
 * 文件说明：
 */
public interface IEvaluationNoticeService extends IService<EvaluationNotice> {

	IPage<EvaluationNotice> listPage(Integer pageNum, Integer pageSize, String noticeTitle);

    boolean uploadAttachment(String id, MultipartFile[] files, HttpServletRequest request);

	boolean deleteAttachment(String id, String docPath, HttpServletRequest request);

	List<EvaluationNotice> circularDisplay(String deptId, String noticeTitle, String beginDataTime, String endDataTime);

	boolean removeByIds(List<String> ids, HttpServletRequest request);
}
