package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.EvaluationRevision;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @author hlf
 * @date 2023/5/23 10:33
 * 文件说明：
 */
public interface IEvaluationRevisionService extends IService<EvaluationRevision> {

	IPage<EvaluationRevision> listPage(Integer pageNum, Integer pageSize, String id, String responsibilityCode, String cycleUnit, List<String> checkCycle, String beginDate, String endDate, String stage, String createBy, String year, String month, String des);

	boolean saveOrUpdate(EvaluationRevision evaluationRevision);

	boolean removeByIds(List<String> ids);

	boolean editState(String id, String state, String instId);

	Map getResponsibilityIndicatorInfoList(String reviseId, String indicatorId, String organizationShortName, String binSection, String binStage, HttpServletRequest request);

	byte[] downloadExcel(String reviseId, String indicatorId, String binSection, String binStage, HttpServletRequest request) throws Exception;

	boolean importExcel(MultipartFile file, HttpServletRequest request);
}
