package com.ims.eval.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.EvaluationScoreCount;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考评得分统计 服务类
 * </p>
 *
 * @author xugp
 * @since 2023-03-20
 */
public interface IEvaluationScoreCountService extends IService<EvaluationScoreCount> {


	List<EvaluationScoreCount> getListByEvaluationRuleId(String organizationEvaluationId,String organizationEvaluationRuleId,String binStage);


	Map<String, Object> evaluationList(String binSection, String binStage, String type, String condition, String date);


	List<EvaluationScoreCount> getEvaluationScoreCountList(String organizationEvaluationId,String organizationEvaluationRuleId,String indicatorId,String binSection);

	List<EvaluationScoreCount> getEvaluationScoreCountList(String organizationEvaluationId,String organizationEvaluationRuleId,List<String> indicatorIds);

	List<EvaluationScoreCount> getEvaluationScoreCountList(String organizationEvaluationId,String organizationEvaluationRuleId,List<String> indicatorIds,List<String> stageCode,String binSection);

}


