package com.ims.eval.service;

import com.ims.eval.entity.OrganizationEvaluationCommonInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.dto.request.AddEvaluationInfoDTO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wang
 * @since 2023-09-11
 */
public interface IOrganizationEvaluationCommonInfoService extends IService<OrganizationEvaluationCommonInfo> {


	boolean addEvaluationCommonInfo(List<AddEvaluationInfoDTO> addEvaluationInfoDTOs);

	Map getListAll(String organizationEvaluationId, String indicatorId, String organizationId, String deptId);

	boolean removeCommonInfos(String[] ids);


	List<OrganizationEvaluationCommonInfo> getEvaluationCommonInfo(String organizationEvaluationId, String organizationId, String indicatorId,String indicatorDictionaryId);

	boolean hbCommonInfo(String organizationEvaluationId,String organizationId, String indicatorId);
}
