package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.OrganizationEvaluationRule;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.dto.request.OrganizationEvaluationRuleDTO;

import java.util.List;

/**
 * <p>
 * 单位/部门考评配置 服务类
 * </p>
 *
 * @author wang
 * @since 2023-03-01
 */
public interface IOrganizationEvaluationRuleService extends IService<OrganizationEvaluationRule> {

	IPage<OrganizationEvaluationRule> list( Integer pageNum, Integer pageSize, String id, String organizationName, String organizationId, String organizationType, String binSection, String binStage, String evaluationCycle, String year);

	List<OrganizationEvaluationRule> listAll( String id, String organizationName, String organizationId, String organizationType, String binSection, String binStage, String evaluationCycle, String year);


	IPage<OrganizationEvaluationRule> list2( Integer pageNum, Integer pageSize, String id, String organizationName, String organizationId, String organizationType, String binSection, String binStage, String evaluationCycle, String year);

	List<OrganizationEvaluationRule> listByIsCheck(String organizationType,String evaluationCycle,String year,Boolean isCheck,Boolean delFlag);


	List<OrganizationEvaluationRule> getOrganizationRuleId(String evalOrRespId, String type);

	OrganizationEvaluationRule getByIdIsCheck(String id,Boolean isCheck,Boolean delFlag);


	List<OrganizationEvaluationRule> getOrganizationEvaluationRuleByIds(List<String> ids, String binSection);


	List<OrganizationEvaluationRule> getOrganizationEvaluationRuleByYearAndCycle(String organizationType,String evaluationCycle, String year,String organizationId);



}
