package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.OrganizationRating;

import java.util.List;

/**
 * <p>
 * 年度评级 服务类
 * </p>
 *
 * @author wang
 * @since 2023-06-20
 */
public interface IOrganizationRatingService extends IService<OrganizationRating> {

	IPage<OrganizationRating> list(Integer pageNum, Integer pageSize, String id,String organizationYearRatingId, String binSection, String year,String organizationShortName,String organizationId);


	boolean generateRating(String organizationYearRatingId, String year);

	List<OrganizationRating> getListSating(String organizationYearRatingId, String year, String organizationId);

}
