package com.ims.common.utils;

import java.security.MessageDigest;

public class MD5Utils {


	public static String md5Encrypt(String input) {


		try {
			// 创建 MessageDigest 实例并指定算法为 MD5
			MessageDigest md = MessageDigest.getInstance("MD5");

			// 将输入字符串转换为字节数组并计算哈希值
			byte[] hashBytes = md.digest(input.getBytes());

			// 将字节数组转换为十六进制格式的字符串
			StringBuilder hexString = new StringBuilder();
			for (byte b : hashBytes) {
				String hex = Integer.toHexString(0xFF & b);
				if (hex.length() == 1) {
					hexString.append('0');
				}
				hexString.append(hex);
			}

			// 返回 MD5 哈希值
			return hexString.toString();

		} catch (Exception e) {
			e.printStackTrace();
		}

		return null;
	}

}
