package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.config.permission.DataPermission;
import com.ims.eval.entity.CalculateIndicatorItemInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 计算指标明细 Mapper 接口
 * </p>
 *
 * @author xugp
 * @since 2023-03-26
 */
public interface CalculateIndicatorItemInfoMapper extends BaseMapper<CalculateIndicatorItemInfo> {


	List<CalculateIndicatorItemInfo> selectList(String organizationType, String checkCycle, String year, String month,String indicatorId,String organizationEvaluationId,String childCode);


	List<CalculateIndicatorItemInfo> selectItemInfoByIndicatorIdList(@Param("binSection") String binSection,
																	 @Param("organizationEvaluationId") String organizationEvaluationId,
																	 @Param("indicatorIds")  List<String> indicatorIds);

}
