package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.CiteCalculationIndicator;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 板块组合指标计算 Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-07-12
 */
public interface CiteCalculationIndicatorMapper extends BaseMapper<CiteCalculationIndicator> {


	IPage<CiteCalculationIndicator> selectCiteCalculationIndicatorList(Page page,
																	   @Param("citeCalculationName") String citeCalculationName,
																	   @Param("binSection") String binSection);


	List<CiteCalculationIndicator> selectListLikeIndicatorIds(@Param("indicatorIds") String indicatorIds,@Param("binSection")  String binSection);


}
