package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author hlf
 * @date 2023/7/14 16:49
 * 文件说明：部门配置
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationDept extends Model {

	private static final long serialVersionUID = 1L;

	//主键
	private String id;

	//序号
	private Integer serialNumber;

	//父级主键
	private String parentId;

	//部门主键
	private String deptId;

	//部门名称
	private String deptName;

	//部门领导主键
	private String chargePersonId;

	//部门领导名称
	private String chargePersonName;

	//业绩指标计划(1是 0否)
	private String yjzbjhType;

	//绩效结果考核申报(1是 0否)
	private String jxjgkhsbType;

}
