package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author hlf
 * @date 2023/5/17 14:33
 * 文件说明：通告管理
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationNotice extends Model {

	private static final long serialVersionUID = 1L;

	//主键
	private String id;
	//序号
	private String serialNumber;
	//通告标题
	private String noticeTitle;
	//通告内容
	private String noticeContent;
	//通告对象
	private String sendTo;
	//个别部门
	private String sendToContent;
	//发布部门
	private String releaseDept;
	//发布部门名称
	private String releaseDeptName;
	//发布人
	private String releasePeople;
	//发布人名称
	private String releasePeopleName;
	//发布时间
	private Date releaseDate;
	//发布状态
	private String releaseState;
	//上传附件
	private String noticeAnnex;
	//创建时间
	private Date createTime;
	//创建者
	private String createBy;
	//创建者名称
	private String createName;
	//更新时间
	private Date updateTime;
	//更新者
	private String updateBy;
	//预留字段
	private String memo1;
	//预留字段
	private String memo2;
	//预留字段
	private String memo3;
	//预留字段
	private String memo4;
}
