package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评首页附件
 * </p>
 *
 * @author wang
 * @since 2023-05-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluationPortalAttach extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 首页关联id
     */
    private String portalId;

    /**
     * 加分事项原因
     */
    private String matterHeighNote;

    /**
     * 扣分事项原因
     */
    private String matterLowNote;

    /**
     * 管理加分原因
     */
    private String manageHeighNote;

    /**
     * 管理扣分原因
     */
    private String manageLowNote;

    /**
     * 高于基准原因
     */
    private String standardHeighNote;

    /**
     * 低于基准原因
     */
    private String standardLowNote;

	private String memo1;
	private String memo2;
	private String memo3;
	private String memo4;

}
