package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.*;


/**
 * <p>
 * 考评得分统计
 * </p>
 *
 * @author xugp
 * @since 2023-03-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
//@Builder
public class 	EvaluationScoreCount extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 考评记录id
     */
    private String organizationEvaluationId;

	/**
	 * 考评规则id
	 */
	private String organizationEvaluationRuleId;

    /**
     * 指标id
     */
    private String indicatorId;



    /**
     * 得分
     */
    private double score;

	/**
	 * 加分得分
	 */
	private double jfScore;

	/**
	 * 扣分得分
	 */
	private double kfScore;

	/**
	 * 折算得分
	 */
	private double obversionScore;

	/**
	 * 能否量化  1 代表能  0代表否
	 */
	private String isQuantified;


	/**
	 * 备注；
	 */
	private String  remark;


	/**
	 * 加分原因；
	 */
	private String  jfRemark;


	/**
	 * 扣分原因；
	 */
	private String  kfRemark;

	/**
	 * 阶段；
	 */
	private String binStage;

	/**
	 * 基准分标记
	 */
	private String standard;



	/**
	 * 阶段；
	 */
	private String binSection;


}
