package com.ims.eval.entity.custom;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 待办任务请求业务类
 * </p>
 *
 * @author wang
 * @since 2023-03-12
 */
@Data
public class TodoTask {

    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    private String iamCode;

    /**
     * 排序
     */
    private String order;

    /**
     * 排序字段
     */
    private String sort;

    /**
     * 起始值

     */
    private Integer offset;

    /**
     * 分页大小，默认20条
     */
    private Integer limit;




}
