package com.ims.eval.entity.dto.response;

import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel(value = "股则指标明细", description = "股则指标明细")
public class EvaluateRuleInfoIndicatorDTO {
	private static final long serialVersionUID = 1L;

	/**
	 * 规则明细id
	 */
	private String id;

	/**
	 *指标
	 */
	private String indicatorId;

	/**
	 * 指标id
	 */
	private String indicatorDictionaryID;

	/**
	 * 选项编码
	 */
	private String optionCode;

	/**
	 * 能否量化
	 */
	private Boolean isQuantified;

	/**
	 * 选项名称
	 */
	private String optionName;

	/**
	 * 子指标code
	 */
	private String  childCode;


	/**
	 * 指标所属部门
	 */
	private String deptId;


	/**
	 * 组织id
	 */
	private String organizationId;


}
