package com.ims.eval.entity.dto.response;

import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel(value="指标关联明细响应类", description="指标关联明细响应类")
public class IndicatorResDTO {

	private static final long serialVersionUID = 1L;

	/**
	 * 子指标id
	 */
	private String id;

	/**
	 * 指标id
	 */
	private String indicatorId;

	/**
	 * 板块id
	 */
	private String  binSection;


	/**
	 * 指标name
	 */
	private String indicatorName;


	/**
	 * 选项编码
	 */
	private String optionCode;

	/**
	 * 能否量化
	 */
	private Boolean isQuantified;

	/**
	 * 选项名称
	 */
	private String optionName;

	/**
	 * 子指标code
	 */
	private String  childCode;

	/**
	 * 子指标名
	 */
	private String childName;


	/**
	 * 指标部门id
	 */
	private String deptId;

	/**
	 * 指标部门name
	 */
	private String deptName;







}
