package com.ims.eval.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.EvaluationDeptBusinessContent;

import java.io.UnsupportedEncodingException;
import java.util.List;

/**
 * @author hlf
 * @date 2023/5/6 10:40
 * 文件说明：
 */
public interface IEvaluationDeptBusinessContentService extends IService<EvaluationDeptBusinessContent> {

	List<EvaluationDeptBusinessContent> detailsList(String businessPlanId, String deptId, String deptName);

	boolean removeByBusinessPlanId(String businessPlanId);

	boolean saveOrUpdateBatch(List<EvaluationDeptBusinessContent> evaluationDeptBusinessContentList) throws UnsupportedEncodingException;

	List<EvaluationDeptBusinessContent> selectEvaluationDeptBusinessContentListByBusinessPlanId(String businessPlanId, String deptId);

	boolean importPlanDataList(List<EvaluationDeptBusinessContent> evaluationDeptBusinessContentList);

	boolean importAssessmentDataList(List<EvaluationDeptBusinessContent> evaluationDeptBusinessContentList);
}
