package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.Indicator;
import com.ims.eval.entity.dto.request.IndicatorDTO;
import com.ims.eval.entity.dto.response.IndicatorResDTO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
public interface IIndicatorService extends IService<Indicator> {


	IPage<Indicator> list(Integer pageNum, Integer pageSize, String id, String indicatorName, String indicatorCode, String binSection, String binStage, String dept, String company);

	IPage<Indicator> list2(Integer pageNum, Integer pageSize, String id, String indicatorName, String indicatorCode, String binSection, String binStage, String dept, String company,String evaluationCycle);

	List<Indicator> listAll(String id, String indicatorName, String indicatorCode, String binSection, String binStage, String dept, String company,String evaluationCycle);

	Indicator selectByCode(String indicatorCode);

	List<IndicatorResDTO> getGroupChildCodeByIds(List<String> ids);

	List<IndicatorResDTO> listByIds(List<String> indicatorIds);

	boolean saveGroup(IndicatorDTO dto) throws Exception;

	IndicatorDTO getById(String id);


}
